%define name	kaffeine
%define version 0.7
%define pre rc2
%define release %mkrel 6
%define xineversion 1
%define fversion %version
%define libname %mklibname %name 0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Xine-based Media Player for KDE3
License:	GPL
Url:		http://kaffeine.sourceforge.net/
Group:		Graphical desktop/KDE
Source:		http://prdownloads.sourceforge.net/kaffeine/%name-%fversion.tar.bz2
Patch2:		kaffeine-0.4.3b-fix-initialpref.patch.bz2
Patch4:		kaffeine-0.5-rc2-fix-copy-desktop-file.patch.bz2
Patch5:		kaffeine-0.6-fix-shortcut.patch.bz2
Patch6:		kaffeine-0.5-fix-servicemenu-file.patch.bz2

##### Laurent: theses patchs were accepted into kaffeine-0.8
Patch7:		kaffeine-0.7-fix-isempty.patch.bz2
Patch8:		kaffeine-0.7-fix-makefile-am.patch.bz2
Patch9:		kaffeine-0.7-fix-postincremental.patch.bz2
#####
##### Laurent: Wait that it will integrate in new kaffeine 0.8
Patch10:	kaffeine-0.7-clear-args.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	kdelibs-devel
BuildRequires:	libxine-devel >= %xineversion
BuildRequires:	gstreamer-devel
Requires:	xine-plugins >= %xineversion
Requires:	xine-arts >= %xineversion	
Requires:	%libname = %version-%release

%description
Kaffeine is a Xine-based Media Player for QT/KDE3.

%package -n %libname
Group: System/Libraries
Summary: Kaffeine kpart library

%description -n %libname
Kaffeine is a Xine-based Media Player for QT/KDE3. This is a kpart
library of Kaffeine.

%package -n %libname-devel
Group: Development/C++
Summary: Kaffeine kpart library headers
Requires:	%libname = %version-%release
Provides: libkaffeine-devel = %version-%release

%description -n %libname-devel
Kaffeine is a Xine-based Media Player for QT/KDE3. This is a kpart
library of Kaffeine.

%prep
%setup -q -n %name-%fversion
%patch2 -p1 -b .fix_initial_preference
%patch4 -p1 -b .fix_copy_desktop_file
%patch5 -p1 -b .fix_multimedia_shortcut
%patch6 -p1 -b .fix_kaffeine_servicemenu_french
%patch7 -p0 -b .fix_isempty
%patch8 -p0 -b .fix_makefile
%patch9 -p0 -b .fix_postincremental
%patch10 -p0 -b .clear_argument

%build
export QTLIB="%{_prefix}/lib/qt3/%{_lib}"
export CFLAGS=${RPM_OPT_FLAGS}
export CXXFLAGS=${RPM_OPT_FLAGS}
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-rpath --mandir=%_mandir --enable-debug=full

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl kaffeine Multimedia/Video $RPM_BUILD_ROOT/%{_datadir}/applications/kde/kaffeine.desktop $RPM_BUILD_ROOT/%{_menudir}/kaffeine kde

#mdk icons
install -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}
rm -f %buildroot%_datadir/mimelnk/video/x-ms-asf.desktop
#gw conflicts with kmplayer
# TODO: this should go to kdelibs-common
rm -f %buildroot%_datadir/mimelnk/audio/x-ms-wma.desktop
#gw they conflict with 10.0's KDE
rm -f %buildroot%_datadir/mimelnk/video/x-ms-wmv.desktop
rm -f %buildroot%_datadir/services/mms.protocol
#gw this conflicts with kmplayer:
rm -f %buildroot%_datadir/mimelnk/application/x-mplayer2.desktop



%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/%name/
%_includedir/kaffeine_export.h


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/kaffeine
%doc %_datadir/doc/HTML/en/kaffeine/
%lang(zh_CN) %doc %_datadir/doc/HTML/zh_CN/kaffeine/
%{_datadir}/applications/kde/kaffeine.desktop
%_datadir/mimelnk/*/*
%{_datadir}/apps/konqueror/servicemenus/*

%_datadir/apps/gstreamerpart/gstreamer_part.rc
%_libdir/kde3/*
%dir %{_datadir}/apps/kaffeine/
%_datadir/apps/kaffeine/*
#gw TODO: does this dir belong to the kaffeine package?
%dir %{_datadir}/apps/profiles/
%{_datadir}/apps/profiles/kaffeine.profile.xml
%{_datadir}/services/*

%{_iconsdir}/*/*/*/*.png

%_mandir/man1/kaffeine.1*

%lang(de) %_mandir/de/man1/kaffeine.1*

%{_menudir}/kaffeine
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%changelog
* Wed Sep 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-6
- Fix copy desktop file on desktop

* Fri Sep 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-5
- Rebuild

* Fri Aug 26 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-4
- Add patch10: clear argument => reduce memory 

* Tue Aug 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-3
- Add patch7-8-9 to increase speed into kaffeine (patch accepted into kaffeine-0.8)

* Tue Aug 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-2
- Add gstreamer-devel (found by Arnaud de Lorbeau)

* Sun Aug 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-1
- 0.7

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-6
- Rebuild on x86_64

* Mon May 30 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6-5mdk
- stop the --with-xorg madness as XInitThreads() is then called way
  too late to be usable in qt_cleanup()

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-4
- Rebuild with new gcc

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-3mdk
- Enable debug
- Add patch10: fix mem leak into kaffeine

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-2mdk
- Add patch9: fix lirc profiles (thanks Arnaud de Lorbeau to debug it)

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Mar 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-6mdk
- fixes from cvs, allow space to unpause (p7), fix position bar with dvd (p8)
- use mkrel

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-5mdk
- Add patch6: fix kaffeine servicemenu french translation 
	gave by Pascal Billery-Schneider <Pascal.Billery-Schneider@bluewin.ch>

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-4mdk
- Add patch5: add multimedia shortcut

* Mon Feb  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- enable workaround for xorg

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-2mdk
- Fix spec file
- Fix Url 
- Changes into this release:
	- positions slider uses full available width
	- count-down timer and timer OSD
 	- clear playlist if URL dropped into video window or passed by command line (Konqueror|Open With...)
 	- possibility to shutoff monitor and/or quit after playback
	- pause video playback after minimizing/closing window
 	- when a subtitle file is opened or dropped a dialog box ask for the movie it belongs to
 	- lot of new DCOP functions
 	- fixed garbage characters in titles
 	- fixed crash after changing audio driver
 	- fixed (un)muting arts-driver
 	- fixed seeking in paused mode
 	- fixed drag&drop problems with non-unicode locale
 	- fixed compiler warnings

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-0.rc2.2mdk
- Add patch4: fix desktop file

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-0.rc2.1mdk
- drop patch 4
- rediff patch 3
- fix file list
- drop patches 0,1
- new version

* Tue Nov  2 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3b-10mdk
- fix build on x86_64

* Fri Oct 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-9mdk
- Add patch4: fix mem leak

* Thu Oct 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-8mdk
- Fix load file from web

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-7mdk
- Fix initial preference

* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-6mdk
- fix typo in French translation

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-5mdk
- Add InitialPreference

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-4mdk
- add m3u to the file filter (bug #10391)

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-3mdk
- 

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-2mdk
- rebuild for new g++

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3b-1mdk
- remove the mozilla plugin
- New release 0.4.3b

* Tue May  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- remove conflicting file (bug #9679)

* Mon May  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- add man pages
- fix source URL
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- update file list
- new version

* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- fix stupid typo, really fixing the conflict with kmplayer

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- fix directory ownership
- fix conflict with kmplayer

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- fix file list
- fix installation
- remove docs patch
- new version

* Mon Nov 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add new files
- disable docs
- drop merged patch
- new version

* Wed Oct  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-0.beta1.1mdk
- fix menu entry
- disable rpath
- add missing files
- fix buildrequires
- new version

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- quiet setup
- add requires on xine-plugins and xine-arts (useful for a KDE app)

* Sun Jun 29 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.3.1-1mdk
- contributed by Sbastien Prud'homme <prudhomme@laposte.net>
